Topic
  • 7 replies
  • Latest Post - ‏2014-05-09T17:07:48Z by RC.Hosh
RC.Hosh
RC.Hosh
24 Posts

Pinned topic Oracle WebLogic Server Questions

‏2014-04-30T15:08:52Z |

Hi All,

I want to try out Oracle Web Logic Server in HATS v9.0 But I am not able to install the Oracle Weblogic Server Tools in RAD See in the attached document when I select Oracle Web Logic Server Tools and click Next then I am not able to proceed and encounter the error something like this:

Cannot complete the install because one or more required items could not be found.

  Software being installed: Oracle WebLogic Server Tools 5.3.0.201307081547 (oracle.eclipse.tools.juno.weblogic.feature.group 5.3.0.201307081547)

  Missing requirement: Oracle WebLogic Web Services Tools 5.3.0.201307081547 (oracle.eclipse.tools.webservices 5.3.0.201307081547) requires 'bundle org.eclipse.jst.ws.jaxws.core [1.0.200,1.1.0)' but it could not be found

  Cannot satisfy dependency:

    From: Oracle WebLogic Server Tools 5.3.0.201307081547 (oracle.eclipse.tools.juno.weblogic.feature.group 5.3.0.201307081547)

    To: oracle.eclipse.tools.webservices.ui [5.3.0.201307081547]

  Cannot satisfy dependency:

    From: Oracle WebLogic Web Services Tools UI 5.3.0.201307081547 (oracle.eclipse.tools.webservices.ui 5.3.0.201307081547)

    To: bundle oracle.eclipse.tools.webservices [5.3.0,5.4.0)

 

Please see attached document for details

 

Regards

Hosh

 

 

  

  • tmparker
    tmparker
    534 Posts

    Re: Oracle WebLogic Server Questions

    ‏2014-04-30T16:27:59Z  

    Hi Hosh,

    Yes, there is an issue now because Oracle has changed their server plugin that the Eclipse Server Adapter wizard finds in the studio and it only support Eclipse 4.3.  We need the Eclipse 4.2 server adapter so here is how I had to go about installing the server adapter in my RAD 9 studio.

    Go to the Oracle website here, http://www.oracle.com/technetwork/developer-tools/eclipse/downloads/oepe-12120-1970454.html to find the previous release, 12.1.2.

    At the bottom of the page, you will find the Oracle Enterprise Pack for Eclipse Repository for Eclipse 3.8 or 4.2 (Juno).  Here you can find the online and offline repositories.  I downloaded the offline repository myself and used that in the Available Software Sites in RAD.  You can try using the online repository if you want but I can't say for sure if it's still active or not.

    Once you do this you can select the Oracle WebLogic Server Tools in the studio and it should install correctly now.

    Thanks
    Tim

  • tmparker
    tmparker
    534 Posts

    Re: Oracle WebLogic Server Questions

    ‏2014-04-30T17:28:38Z  
    • tmparker
    • ‏2014-04-30T16:27:59Z

    Hi Hosh,

    Yes, there is an issue now because Oracle has changed their server plugin that the Eclipse Server Adapter wizard finds in the studio and it only support Eclipse 4.3.  We need the Eclipse 4.2 server adapter so here is how I had to go about installing the server adapter in my RAD 9 studio.

    Go to the Oracle website here, http://www.oracle.com/technetwork/developer-tools/eclipse/downloads/oepe-12120-1970454.html to find the previous release, 12.1.2.

    At the bottom of the page, you will find the Oracle Enterprise Pack for Eclipse Repository for Eclipse 3.8 or 4.2 (Juno).  Here you can find the online and offline repositories.  I downloaded the offline repository myself and used that in the Available Software Sites in RAD.  You can try using the online repository if you want but I can't say for sure if it's still active or not.

    Once you do this you can select the Oracle WebLogic Server Tools in the studio and it should install correctly now.

    Thanks
    Tim

    Sorry, I left out one other step that I had to do.  You need to also have 2 other repositories connected to get the server tools to install.

    If you don't already have these repositories in the list you need to add and enable them for the install to work correctly.

    Name: Eclipse Juno repository|
    Location: http://download.eclipse.org/releases/juno

    Name: Eclipse Web Tools Platform Repository
    Location: http://download.eclipse.org/webtools/updates/

    Also, I just tested using the online repository from Oracle located at, http://download.oracle.com/otn_software/oepe/12.1.2/juno/repository, and it installed using the steps I provided here.  So both the online and offline repositories will work if you follow these steps.

    I am in the process of writing a technote to document these steps.

    Thanks
    Tim

  • tmparker
    tmparker
    534 Posts

    Re: Oracle WebLogic Server Questions

    ‏2014-04-30T20:07:35Z  
    • tmparker
    • ‏2014-04-30T16:27:59Z

    Hi Hosh,

    Yes, there is an issue now because Oracle has changed their server plugin that the Eclipse Server Adapter wizard finds in the studio and it only support Eclipse 4.3.  We need the Eclipse 4.2 server adapter so here is how I had to go about installing the server adapter in my RAD 9 studio.

    Go to the Oracle website here, http://www.oracle.com/technetwork/developer-tools/eclipse/downloads/oepe-12120-1970454.html to find the previous release, 12.1.2.

    At the bottom of the page, you will find the Oracle Enterprise Pack for Eclipse Repository for Eclipse 3.8 or 4.2 (Juno).  Here you can find the online and offline repositories.  I downloaded the offline repository myself and used that in the Available Software Sites in RAD.  You can try using the online repository if you want but I can't say for sure if it's still active or not.

    Once you do this you can select the Oracle WebLogic Server Tools in the studio and it should install correctly now.

    Thanks
    Tim

    Technote published here:

    http://www-01.ibm.com/support/docview.wss?uid=swg21671854

  • RC.Hosh
    RC.Hosh
    24 Posts

    Re: Oracle WebLogic Server Questions

    ‏2014-05-07T13:23:02Z  

    I will check this and update you!

    Thanks

    Hosh

     

  • RC.Hosh
    RC.Hosh
    24 Posts

    Re: Oracle WebLogic Server Questions

    ‏2014-05-09T12:33:14Z  
    • RC.Hosh
    • ‏2014-05-07T13:23:02Z

    I will check this and update you!

    Thanks

    Hosh

     

    Hi Tim,

    Though I have installed Oracle WebLogic Server 12c (12.1.2) and it is running fine in my machine and in the next step I have created HATS project with targeted server Oracle WebLogic Server 12c (12.1.2) and still I am not able to deploy application successfully please see the attached error message.

    Further more I have the following versions of software installed

    IBM® Rational® Application Developer for WebSphere® Software
    Version 9.0 (9.0.0.RADO90-I20130531_1619)

    IBM® Rational® HATS
    Version 9.0.0.0 (9.0.0.201308041338)

    Can you please guide which version of Oracle Web Logic Server I need to download and install and send me the direct link of that server version if you can?

    Regards

    Hosh

     

     

     

    Attachments

  • tmparker
    tmparker
    534 Posts

    Re: Oracle WebLogic Server Questions

    ‏2014-05-09T16:48:36Z  
    • RC.Hosh
    • ‏2014-05-09T12:33:14Z

    Hi Tim,

    Though I have installed Oracle WebLogic Server 12c (12.1.2) and it is running fine in my machine and in the next step I have created HATS project with targeted server Oracle WebLogic Server 12c (12.1.2) and still I am not able to deploy application successfully please see the attached error message.

    Further more I have the following versions of software installed

    IBM® Rational® Application Developer for WebSphere® Software
    Version 9.0 (9.0.0.RADO90-I20130531_1619)

    IBM® Rational® HATS
    Version 9.0.0.0 (9.0.0.201308041338)

    Can you please guide which version of Oracle Web Logic Server I need to download and install and send me the direct link of that server version if you can?

    Regards

    Hosh

     

     

     

    Hi Hosh,

    If you read the steps I added to the HATS 9 InfoCenter for deploying to WebLogic here, http://pic.dhe.ibm.com/infocenter/hatshelp/v90/topic/com.ibm.hats.doc/doc/ugcreorg.htm#web_weblogic, you will see the section that says the following:

    Note:
    If you perform this step, you must modify the default Publishing mode so that your projects will deploy correctly when using the Run on Server, Debug on Server, and Profile on Server functions.
    1. Find the instance of the WebLogic Server that was created in the Servers view.
    2. Right-click on the WebLogic Server and click Properties.
    3. In the left panel, expand WebLogic.
    4. Click Publishing.
    5. In the Publishing mode section, click Publish as an exploded archive.
    6. Click OK to close the Properties panel.

    If I remember correctly, this should be the problem you are running into and that's why I added that note to the steps.

    Let me know if that works for you now.

    Thanks
    Tim

  • RC.Hosh
    RC.Hosh
    24 Posts

    Re: Oracle WebLogic Server Questions

    ‏2014-05-09T17:07:48Z  
    • tmparker
    • ‏2014-05-09T16:48:36Z

    Hi Hosh,

    If you read the steps I added to the HATS 9 InfoCenter for deploying to WebLogic here, http://pic.dhe.ibm.com/infocenter/hatshelp/v90/topic/com.ibm.hats.doc/doc/ugcreorg.htm#web_weblogic, you will see the section that says the following:

    Note:
    If you perform this step, you must modify the default Publishing mode so that your projects will deploy correctly when using the Run on Server, Debug on Server, and Profile on Server functions.
    1. Find the instance of the WebLogic Server that was created in the Servers view.
    2. Right-click on the WebLogic Server and click Properties.
    3. In the left panel, expand WebLogic.
    4. Click Publishing.
    5. In the Publishing mode section, click Publish as an exploded archive.
    6. Click OK to close the Properties panel.

    If I remember correctly, this should be the problem you are running into and that's why I added that note to the steps.

    Let me know if that works for you now.

    Thanks
    Tim

    Thanks Tim the above steps worked for me!

     

    Thanks again!